Are you using a real Firefox package or the snap version?



It's not relevant here. The old 'i915' kernel module still works and is what Ubuntu 22.04 users will be running (I don't know if 24.04...